Update an AI model config
Update an AI model config.
Authentication
Authorizationstring
API Key authentication via header
Path parameters
projectKey
modelConfigKey
Request
AI model config object to update
id
Immutable provider model identifier. To use a different model identifier, create a new model config.
provider
Immutable model provider. To use a different provider, create a new model config.
name
Human-readable name of the model
costPerInputToken
Cost per input token in USD
costPerOutputToken
Cost per output token in USD
costPerCachedInputToken
Cost per cached input token in USD
params
customParams
maintainerId
maintainerTeamKey
Response
Successful response
name
Human-readable name of the model
key
Unique key for the model
id
Identifier for the model, for use with third party providers
global
Whether the model is global
version
isRestricted
Whether the model is restricted
_access
_maintainer
icon
Icon for the model
provider
Provider for the model
params
customParams
costPerInputToken
Cost per input token in USD
costPerOutputToken
Cost per output token in USD
costPerCachedInputToken
Cost per cached input token in USD
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error